#
# spec file for package python-ifaddr
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without python2
%{?sle15_python_module_pythons}
Name:           python-ifaddr
Version:        0.2.0
Release:        3.6
Summary:        Module for enumerating IP addresses on system network adapters
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pydron/ifaddr
Source:         https://files.pythonhosted.org/packages/source/i/ifaddr/ifaddr-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
%if %{with python2}
BuildRequires:  python-ipaddress
%endif
# /SECTION
%ifpython2
Requires:       python-ipaddress
%endif
%python_subpackages

%description
ifaddr is a Python library that allows finding the
IP addresses assigned to the system.

%prep
%setup -q -n ifaddr-%{version}
sed -i -e "s/install_requires = \['ipaddress'\],//" setup.py
dos2unix README.rst

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest ifaddr

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/ifaddr
%{python_sitelib}/ifaddr-%{version}*-info

%changelog
* Tue Jun 20 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Sun Jan  8 2023 Matej Cepl <mcepl@suse.com>
- SPEC clean up
* Tue Jul 19 2022 Dirk Müller <dmueller@suse.com>
- update to 0.2.0:
  * Added an option to include IP-less adapters, thanks to memory
  * Fixed a bug where an interface's name was `bytes`, not `str`, on Windows
  * Added an implementation of `netifaces.interfaces()` (available through
    `ifaddr.netifaces.interfaces()`)
  * Added type hints
  * Dropped Python 3.6 support
* Sun Jun 14 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.1.7:
  * Fixed Python 3 compatibility in the examples, thanks to Tristan Stenner and Josef Schlehofer
  * Exposed network interface indexes in Adapter.index, thanks to Dmitry Tantsur
  * Added the license file to distributions on PyPI, thanks to Tomáš Chvátal
  * Fixed Illumos/Solaris compatibility based on a patch proposed by Jorge Schrauwen
  * Set up universal wheels, ifaddr will have both source and wheel distributions on PyPI from now on
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Tue Mar 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.6:
  * Restrict ipaddress dependency to Python < 3.3
  * Fixes installation of ipaddress module
* Fri Nov  9 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase.
* Fri Nov  2 2018 alarrosa@suse.com
- Initial release of python-ifaddr 0.1.4
